Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.interfacce
Interface GestionePrenotazione

All Known Implementing Classes:
  PrenotationManager

    public interface GestionePrenotazione

L'interfaccia è implementata dalla classe `PrenotationManager` le cui istanze rendono disponibile la cancellazione di una prenotazione (Pacchetto/Volo) e modifica

Method Summary
`void` | `addInQueue(boolean addInQueue)` Setta `addInQueue`
`boolean` | `delPrenotation(Prenotation p)` Cancella la prenotazione (Pacchetto/Voli)
`boolean` | `isRegistered(Cliente c)` Controlla che il cliente si trovi nell'archivio
`boolean` | `modPrenotation(Prenotation p, java.lang.String modifiche)` Modifica prenotazione (Pacchetto/Voli) se è volo si modifica l'orario , se è un pacchetto si può modificare il numero della settimana ,il tipo della stanza,aggiungere e rimuovere corsi
`Cliente` | `requestInformation(java.lang.String cognome)` Verifica se il cliente si trova nell'archivio
`java.util.Set<Prenotation>` | `showList(Cliente c)` Elenco delle prenotazioni (Pacchetto/Voli) del cliente

Method Detail

### requestInformation

    Cliente requestInformation(java.lang.String cognome)

  Verifica se il cliente si trova nell'archivio

  Parameters:
    `cognome` - cognome del cliente
  Returns:
    il cliente

### isRegistered

    boolean isRegistered(Cliente c)

  Controlla che il cliente si trovi nell'archivio

  Parameters:
    `c` - cliente
  Returns:
    true se lo trova

### showList

    java.util.Set<Prenotation> showList(Cliente c)

  Elenco delle prenotazioni (Pacchetto/Voli) del cliente

  Parameters:
    `c` - cliente
  Returns:
    un `Set<Prenotation>` con le prenotazioni di quel cliente

### delPrenotation

    boolean delPrenotation(Prenotation p)

  Cancella la prenotazione (Pacchetto/Voli)

  Parameters:
    `p` - prenotazione (Pacchetto/Voli)
  Returns:
    true se lo ha cancellatto

### modPrenotation

    boolean modPrenotation(Prenotation p,
                           java.lang.String modifiche)
                           throws DoubleRoomNotAvailableException

  Modifica prenotazione (Pacchetto/Voli) se è volo si modifica l'orario , se è un pacchetto si può modificare il numero della settimana ,il tipo della stanza,aggiungere e rimuovere corsi

  Parameters:
    `p` - prenotazione (Pacchetto/Voli)
    `modifiche` - Stringa modifica("?;XXX" || ora): N(modNWeek)-T(modTipo)-S(modSeq)-C(complete/save) ; String mod
  Returns:
    true se ha effettuato le modifiche
  Throws:
    `DoubleRoomNotAvailableException` - se le stanze doppie non disponibili

### addInQueue

    void addInQueue(boolean addInQueue)

  Setta `addInQueue`

  Parameters:
    `addInQueue` - true se da aggiungere in attesa

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD